Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81151 - some keys don't work well in metacity
Summary: some keys don't work well in metacity
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: vte
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-01-06 07:25 UTC by Need Real Name
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 04:12:12 UTC


Attachments (Terms of Use)

Description Need Real Name 2003-01-06 07:25:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-CN; rv:1.2.1) Gecko/20021218

Description of problem:
There are some strange problems in gnome2, which uses metacity window manager. 

1. The shortcut key for taking screenshot is "Print", but pressing "Print"
doesn't wok. Setting the shortcut key to other value (such as F12) works, but
not so fine: whenever I open the start menu, pressing the shortcut key get no
response.

2. When I use vim in gnome-terminal, the "up" and "down" keys don't work.
Pressing these two keys get an error message: "E388 not defined".I have to use
the default binding "k" and "j" instead. :( 




Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Choose GNOME in gdm and login.

2. Press the key "Print". 

3. Change the shorcut key for taking screenshot to "F12", and press the key
"F12".Click the start menu, and press "F12" again.

4. Open gnome-terminal, and use vim to edit a text file. Use "up" and "down" to
navigate in the text file.
    

Actual Results:  2.3: The program gnome-panel-screenshot didn't show.
4. You can't navigate in that way.

Expected Results:  2.3. The program gnome-panel-screenshot shows.
4. You can navigate in the text file freely.

Additional info:

1. The above problems doesn't appear in KDE or FVWM. So I believe these are the
problems of metacity. 

2. My locale is zh_CN.GB18030 (Simplified Chinese).

Comment 1 Havoc Pennington 2003-01-06 18:30:52 UTC
Print key problem is already filed separately, so consider it 
tracked elsewhere. (Filed against gnome-panel I think.)

Moving vi issue to vte.

Comment 2 Need Real Name 2003-01-09 03:04:50 UTC
The vi problem doen't always occur. It work fine now.
I don't know what make this change.
I use FVWM these days, and shutdown the machine yesterday. This morning I
powered on the machine, and found "up" and "down" now works in vim.

Comment 3 Nalin Dahyabhai 2003-01-14 04:12:12 UTC
Cursor key issues should be fixed in 0.10.9 and later.  Please reopen this bug
if you find that this is not the case.


Note You need to log in before you can comment on or make changes to this bug.